Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 311861

Summary: kde-base/kdm-4.4.4 - AutoLoginDelay doesn't work and password field isn't editable
Product: Gentoo Linux Reporter: Fernando (likewhoa) <email>
Component: [OLD] KDEAssignee: Gentoo KDE team <kde>
Status: RESOLVED FIXED    
Severity: normal CC: email, esigra
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.kde.org/show_bug.cgi?id=229475
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 313999    

Description Fernando (likewhoa) 2010-03-29 00:09:19 UTC
kdm's kdmrc used to have the option to a timed login delay using the AutoLoginDelay variable in kdmrc but with latest kde-4.4.1 it doesn't work.

Reproducible: Always

Steps to Reproduce:
1. emerge =kde-base/kdm-4.4.1
2. edit /usr/share/config/kdm/kdmrc and then add "AutoLoginDelay=7" to the [X-*-Core] section class
3. restart xdm and wait 7 seconds.


Actual Results:  
no timed login


Portage 2.2_rc67 (default/linux/amd64/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-hardened-r4 x86_64)
=================================================================
System uname: Linux-2.6.32-hardened-r4-x86_64-Intel-R-_Xeon-R-_CPU_E5420_@_2.50GHz-with-gentoo-1.12.13
Timestamp of tree: Sun, 28 Mar 2010 21:30:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-python/pycrypto: 2.1.0_beta1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.6.3, 1.8.5-r3, 1.9.6-r2, 1.10.3
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA @BINARY-REDISTRIBUTABLE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1"
LINGUAS="bn brx cy dgo eo eu fa gl gu_IN id kk kn_IN kok ks ku mai mn mni my sa_IN sat sd ta_IN tn uz en ca"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl amd64 atm berkdb bindist branding bzip2 cairo cli cracklib crypt cups cxx dbus dri fbcondecor fortran gdbm gif gnome gpm hal iconv ipv6 jpeg livecd loop-aes mmx mng modules mudflap multilib ncurses nls nptl nptlonly opengl openmp pam pcre perl png portaudio pppd python qt3support qt4 readline reflection session socks5 spl sse sse2 ssl sysfs tcpd tiff truetype unicode usb xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="bn brx cy dgo eo eu fa gl gu_IN id kk kn_IN kok ks ku mai mn mni my sa_IN sat sd ta_IN tn uz en ca" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage tdfx trident vesa via vmware cirrus ast chips i128 i740 imstt radeonhd s3virge tseng v4l vermilion" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-03-29 02:15:16 UTC
I was able to duplicate this locally.
I'll check upstream bugzilla.
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-03-29 02:18:18 UTC
Seems there's already an open bug about this.
Comment 3 Andreas K. Hüttel archtester gentoo-dev 2010-04-09 09:14:39 UTC
According to upstream bug report (see URL) still present in 4.4.2
Comment 4 Fernando (likewhoa) 2010-07-21 17:56:33 UTC
works in kdm-4.4.5 
Comment 5 Andreas K. Hüttel archtester gentoo-dev 2010-10-12 20:12:19 UTC
According to upstream fixed in kde-4.5.2